
#include "SIHCFIDENT01.inc"

VARIABLE id_device_type
{
	LABEL		[device_type];
	HELP		[manufacturers_device_type_help];
	HANDLING	READ;
	CLASS		LOCAL ;
	TYPE		ENUMERATED (1)
	{
		SELECT( id_manufacturer_id )
		{ 
			CASE 3:    // Ametek
			     { 4, "NEWTHERMOX", "Analytical    Oxygen/Combustion/Methane/CO"}
			
			CASE 10:    // Brooks_Instrument
			     { 1, "TRI20", "Flow          Totalizer - Rate Indicator"},
			     { 2, "38XXVA", "Flow          Variable Area"},
			     { 3, "99XXOVAL", ""},
			     { 4, "QUANTIM", "Flow          Coriolis Mass"}
			
			CASE 13:    // Daniel_Industries
			     { 20, "Gas USM", "Flow          Ultrasonic - Gas"},
			     { 40, "Liquid USM", "Flow          Ultrasonic - Liquid"}
			
			CASE 14:    // Delta
			     { 1, "HT"}
			
			CASE 17:    // Endress_Hauser
			     { 3, "FMU860", "Level         Ultrasonic"},
			     { 4, "FMU861", "Level         Ultrasonic"},
			     { 5, "FMU862", "Level         Ultrasonic"},
			     { 6, "FMR130/Micropilot", "Level         Radar - Microwave "},
			     { 7, "CERABS /Cerabar S", "Pressure      Absolute"},
			     { 8, "FEC12", "Level         Capacitance"},
			     { 9, "DELTBS/Deltabar S", "Pressure      Differential"},
			     { 10, "FMU231/FMU13x", "Level         Ultrasonic"},
			     { 11, "DELTAPS/ Deltapilot", "Level         Hydrostatic"},
			     { 12, "FMR23x", "Level         Ultrasonic"},
			     { 13, "FMP200", "Level"},
			     { 14, "Cerabar M", "Pressure      Absolute/Relative"},
			     { 15, "FMR2xx", "Level         Microwave"},
			     { 16, "FMR53x", "Level         Microwave"},
			     { 17, "FMU4x", "Level         Ultrasonic"},
			     { 18, "FMP4x", "Level         Radar"},
			     { 19, "FMG60", "Level         Density - Nuclear"},
			     { 20,  [nrf590] },     // this value does not exist in common tables
			     { 23, "DeltabarS", "Pressure      Deltabar S Evolution"},
			     { 24, "CerabarS", "Pressure      Cerabar S Evolution"},
			     { 26, "DeltapilotS", "Pressure      Deltapilot S Evolution"},
			     { 27, "FMU9x", "Level         Ultrasonic"},
			     { 30, "FMR25x", "Level         Microwave"},
			     { 31, "FMR54x", "Level         Microwave"},
			     { 50, "PROMAG33", "Flow          Electromagnetic"},
			     { 51, "PROWIRL70", "Flow          Vortex"},
			     { 52, "PROMASS63", "Flow          Coriolis Mass"},
			     { 53, "PROMAG39", "Flow          Magmeter - Rack Version"},
			     { 54, "PROMAG35S", "Flow          High Performance Magmeter"},
			     { 55, "PROWIRL77", "Flow          Vortex"},
			     { 57, "PROMASS60", "Flow          Mass"},
			     { 64, "PROSON F", "Flow          Ultrasonic"},
			     { 65, "PROMAG50", "Flow          Magnetic"},
			     { 66, "PROMAG53", "Flow          Magnetic"},
			     { 67, "PROMAG51", "Flow          Magnetic - Custody Transfer"},
			     { 68, "PROMAG55", "Flow          Magnetic"},
			     { 69, "PROMAG10", "Flow          Magnetic"},
			     { 70, "PROMAG23", "Flow          2-wire Magnetic"},
			     { 80, "PROMASS80", "Flow          Coriolis Mass"},
			     { 81, "PROMASS83", "Flow          Coriolis Mass"},
			     { 82, "PROMASS84", "Flow          Coriolis Mass - Custody Transfer"},
			     { 83, "PROMASS40", "Flow          Coriolis Mass"},
			     { 86, "PROWIRL72", "Flow          2-wire Vortex"},
			     { 87, "PROWIRL73", "Flow          2-wire Vortex"},
			     { 88, "P_FLOW90", "Flow          Ultrasonic"},
			     { 89, "P_FLOW93", "Flow          Ultrasonic"},
			     { 97, "P_FLOW92", "Flow          Ultrasonic"},
			     { 98, "P_FLOW91", "Flow          Ultrasonic"},
			     { 100, "AT70", "Flow          Thermal"},
			     { 101, "T-MASS65", "Flow          Thermal"},
			     { 120, "TMD832", "Temperature   Head Mounted"},
			     { 121, "TMD833", "Temperature   Compact"},
			     { 124, "TMD842", "Temperature   DIN Rail Mounted"},
			     { 140, "MyPro pH", "Analytical    pH"},
			     { 141, "MyPro LFC", "Analytical    Conductivity - Conductive"},
			     { 142, "MyPro LFI", "Analytical    Conductivity - Inductive"},
			     { 181, "NMT530", "Temperature   Sensor"},
			     { 182, "NMS530", "Level         Servo"},
			     { 200, "TMT182", "Temperature   Head Mounted"},
			     { 201, "TMT122", "Temperature   DIN Rail"},
			     { 202, "TMT162", "Temperature"},
			     { 203, "TMT142", "Temperature"}
			     { 240, DCT_LWA , "Network Component"}
			
			CASE 18:    // Fischer_Porter
			     { 7, "50XM2000", "Flow          Magnetic"},
			     { 8, "50XE4000", "Flow          Magnetic"},
			     { 14, "50VT1000", "Flow          Vortex"},
			     { 15, "50VM1000", "Flow          Vortex"},
			     { 25, "50XM1000", "Flow          Magnetic"},
			     { 26, "50SM1000", "Flow          Magnetic"},
			     { 66, "PTH", "Pressure      Differential"},
			     { 80, "TB82PH pH", "Analytical    pH"},
			     { 81, "TB82PH ORP", "Analytical    ORP"},
			     { 82, "TB82PH pION", "Analytical    pION"},
			     { 83, "TB82PH IConc", "Analytical    IConc"},
			     { 84, "TB82EC COND", "Analytical    Electrode Conductivity"},
			     { 85, "TB82EC CONC", "Analytical    Electrode Conductivity"},
			     { 86, "TB82TE COND", "Analytical    Electrode Conductivity"},
			     { 87, "TB82TE CONC", "Analytical    Electrode Conductivity"},
			     { 88, "TB82TC COND", "Analytical    Toroidal Conductivity"},
			     { 89, "TB82TC CONC", "Analytical    Toroidal Conductivity"}
			
			CASE 19:    // Fisher_Controls
				 { 1, "DT"}, // this value does not exist in common tables
				 { 2, "DVC"}, // this value does not exist in common tables
			     { 3, "DVC6000", "Valve         Positioner"},
			     { 5, "DVC2000", "Valve         Controller"}
			
			CASE 20:    // Foxboro
			     { 29, "IMV31", "Pressure      Multivariable"},
			     { 30, "Vortex 84", "Flow          Vortex"},
			     { 41, "IMT25", "Flow          Magnetic"},
			     { 46, "I/A Pressure", "Pressure"},
			     { 47, "IMV 25/30", "Pressure      Multivariable"},
			     { 48, "875PH", "Analytical    pH/ORP"},
			     { 51, "ITVORTEX", "Flow          Vortex"},
			     { 52, "CFT50", "Flow          Coriolis"},
			     { 53, "875CR", "Analytical    Conductivity"},
			     { 54, "875EC", "Analytical    Conductivity"},
			     { 56, "RTT15", "Temperature"},
			     { 125, "CFT 30 x", "Flow          Coriolis"}
			
			CASE 21:    // Fuji
			     { 1, "FCX-A/C", "Pressure"},
			     { 2, "FCX-A2/C2", "Pressure"},
			     { 129, "FRC ", "Temperature"}
			
			CASE 22:    // Hartmann_Braun
			     { 3, "TEU 471"},
			     { 4, "TEU 421"},
			     { 5, "TEU 211", "Temperature"},
			     { 6, "TS 11", "Temperature"},
			     { 8, "TH 02", "Temperature"},
			     { 64, "TZID", "Valve         Positioner/Pneumatic"},
			     { 65, "TZIDC", "Valve         Positioner/Pneumatic"},
			     { 133, "AS800", "Pressure"},
			     { 135, "Contrac", "Valve         Actuator - Electrical"}
			
			CASE 23:    // Honeywell
			     { 1, "ST3000", "Pressure"},
			     { 2, "STT25T", "Temperature   Dual Input"},
			     { 3, "HWFLOW/Mage W Plus", "Flow          Magnetic"},
			     { 4, "STT25H", "Temperature"},
			     { 5, "HERCULINE", "Valve         Actuator"},
			     { 6, "SmartCET", "Analytical    Corrosion"},
			     { 7, "STT17H", "Temperature"},
			     { 8, "ST2500"},
			     { 9, "STT25S", "Temperature"}
			
			CASE 25:    // kayray
			     { 8, "4050|kt|4050"},
			     { 9, "3680 Dens|fr|3680 Masse vol|de|3680 Dichte|kt|3680 .b.Dens.e.", "Analytical    Density - Nuclear"},
			     { 10, "4790", "Level         Continuous Gamma"},
			     { 11, "Accu-Pulse PRO", "Level         Laser Ranging"},
			     { 15, "3280 Steam qual|fr|3280 Qualit vapeur|de|3280 Dampfqual.|kt|3280 .b.Steam qual.e."}
			
			CASE 26:    // ABB
			     { 1, "KSX", "Pressure"},
			     { 2, "600T", "Pressure      Differential"},
			     { 3, "2600T-268", "Pressure      Safety"},
			     { 4, "2600T-262/264", "Pressure"},
			     { 5, "2600T-364", "Pressure"},
			     { 8, "KST", "Temperature"},
			     { 10, "658T", "Temperature"},
			     { 11, "TTX300 series|de|TTX300 Serie", "Temperature"},
			     { 12, "652/653S", "Temperature"},
			     { 26, "FVS4000", "Flow          Vortex/Swirl"},
			     { 29, "FSM4000", "Flow          Electromagnetic"},
			     { 35, "TB82PH-Combined", "Analytical    pH"},
			     { 36, "TB82EC-Combined", "Analytical    4 Electrode Conductivity"},
			     { 37, "TB82TE-Combined", "Analytical    2 Electrode Conductivity"},
			     { 38, "TB82TC-Combined", "Analytical    Troidal Conductivity"},
			     { 137, "263/265, 2000T", "Pressure      P, dP + Multivariable"},
			     { 140, "261", "Pressure      Absolute"}
			
			CASE 29:    // M_System_Co
			     { 1, "B6U", "Temperature   2-wire"},
			     { 2, "B3HU", "Temperature"},
			     { 3, "27HU", "Temperature   Head Mounted"}
			
			CASE 31:    // micro_motion
			     { 7, "9712 Mass flo|fr|9712 Dbit massique|de|9712 Masseflu|kt|9712 masu huro-", "Flow          Coriolis Mass"},
			     { 20, "9720"},
			     { 21, "9739 Mass flo|fr|9739 Dbit massique|de|9739 Masseflu|kt|9739 masu huro-", "Flow          Coriolis Mass"},
			     { 30, "9701", "Flow          Coriolis Mass"},
			     { 36, "MVD Series 2000 Config I/O", "Flow          Coriolis Mass"},
			     { 37, "MVD Series 1000 Config I/O", "Flow          Coriolis Mass"},
			     { 38, "MVD Series 2000 IS Output", "Flow          Coriolis Mass"},
			     { 39, "MVD Series 1000 IS Output", "Flow          Coriolis Mass"},
			     { 41, "MVD Series 1000 Analog Output", "Flow          Coriolis Mass"},
			     { 42, "MVD Series 2000 Analog Output", "Flow          Coriolis Mass"},
			     { 52, "2400S Mass flo", "Flow          Coriolis Mass"},
			     { 65, "MVD Series 3000", "Flow          Coriolis Mass"}
			
			CASE 32:    // Moore_Industries
			     { 1, "TRZ", "Temperature"},
			     { 3, "THZ", "Temperature"},
			     { 4, "THZ2", "Temperature"}
			
			CASE 33:    // Moore_Products
			     { 1, "340 A"},
			     { 2, "340 B"},
			     { 3, "344"},
			     { 5, "330", "Pressure"},
			     { 6, "340 A2", "Pressure      w/ PID"},
			     { 8, "340 B2"},
			     { 9, "344 2"},
			     { 10, "340 S", "Pressure      Saturated Steam"},
			     { 11, "343", "Temperature"},
			     { 12, "760D Valvepac"},
			     { 13, "345", "Pressure"}
			
			CASE 37:    // Ronan
			     { 2, "X96 D", "Analytical    Density - Gamma Ray"},
			     { 3, "X96 L", "Level         Gamma Ray"},
			     { 4, "X96 W", "Analytical    Weight - Gamma Ray"},
			     { 5, "X96 LD", "Level         w/ Density - Gamma Ray"},
			     { 6, "X99 MD", "Analytical    Motorized Density"}
			
			CASE 38:    // rosemount
			     { 1, "3051|fr|3051 Pression|de|3051 Druck|kt|3051"},
			     { 2, "3044 Temp|fr|3044 Temprature|de|3044 Temperatur|kt|3044 .b.Temp.e.", "Temperature"},
			     { 3, "1151|fr|1151 Pression|de|1151 Druck|kt|1151", "Pressure"},
			     { 4, "Magmeter|fr|Dbitmtre lectrom|de|Magmeter|kt|magume-ta-", "Flow          Magnetic"},
			     { 5, "2001|kt|2001"},
			     { 6, "3051C|fr|3051C Pression|de|3051C Druck|kt|3051.b.C.e.", "Pressure"},
			     { 11, "3001L HTG|fr|3001L Transm HTG|de|3001L HTG MU|kt|3001.b.L HTG.e."},
			     { 12, "Mag HS|fr|Db mag ht signal|de|Ho Signal Mag|kt|magu .b.HS.e.", "Flow          Magnetic"},
			     { 13, "3044C Temp|fr|3044C Temprature|de|3044C Temperatur|kt|3044.b.C Temp.e.", "Temperature"},
			     { 14, "3001C HTG|fr|3001C Transm HTG|de|3001C HTG MU|kt|3001.b.C HTG.e.", "Pressure"},
			     { 15, "3051C LP|fr|3051C Faible consom|de|3051C Low Power|kt|3051.b.C .e.ro-pawa-", "Pressure"},
			     { 16, "Vortex|fr|Dbitmtre  vortex|de|Vortex Durchflu|kt|boruteltukusu", "Flow          Vortex"},
			     { 17, "3201 SAM|fr|3201 SAM|de|3201 SAM|kt|3201 .b.SAM.e.", "Level         Hydrostatic"},
			     { 18, "1152|fr|1152 Pression|de|1152 Druck|kt|1152"},
			     { 19, "3202 SAM|fr|3202 SAM|de|3202 SAM|kt|3202 .b.SAM.e.", "Level         Hydrostatic"},
			     { 20, "3001S HTG|fr|3001S Transm HTG|de|3001S HTG MU|kt|3001.b.S HTG.e.", "Pressure"},
			     { 21, "3095FT|kt|3095.b.FT.e."},
			     { 22, "3095MV|kt|3095.b.MV.e.", "Flow          Multivariable Mass"},
			     { 23, "544 Temp|kt|544 .b.Temp.e."},
			     { 24, "644 Temp|kt|644 .b.Temp.e.", "Temperature"},
			     { 25, "3144 Temp|kt|3144 .b.Temp.e.", "Temperature"},
			     { 26, "3244 Temp|kt|3244 .b.Temp.e.", "Temperature   Multivariable"},
			     { 27, "3700"},
			     { 28, "3750", "Level"},
			     { 29, "Tri-Loop", "Specialty     HART-to-Analog Signal Conv"},
			     { 30, "3095C", "Level"},
			     { 31, "3095MM"},
			     { 32, "3701"},
			     { 33, "3300", "Level         Radar"},
			     { 34, "3702ASU"},
			     { 35, "2088 Smart", "Pressure"},
			     { 36, "ProBar", "Flow          dP"},
			     { 37, "Mass ProBar"},
			     { 38, "ProV"},
			     { 39, "2090 Smart", "Pressure"},
			     { 40, "ProBar UC", "Flow          dP"},
			     { 41, "2055D"},
			     { 42, "3095PV"},
			     { 45, "Sentry"},
			     { 47, "ProPlate UC", "Flow          dP"},
			     { 54, "1810", "Pressure"},
			     { 55, "8712D", "Flow          Magnetic"},
			     { 56, "4600", "Pressure"},
			     { 58, "8800D", "Flow          Vortex"},
			     { 59, "248 Temperature", "Temperature"},
			     { 60, "8732", "Flow          Magnetic"},
			     { 64, "2088LP", "Pressure      Low Power"},
			     { 65, "5600 Radar Level"},
			     { 66, "951", "Pressure"},
			     { 67, "5400", "Level         Radar"},
			     { 68, "3051S SIS", "Pressure      Certified SIL2"},
			     { 69, "3144P SIS", "Temperature"},
			     { 71, "4500", "Pressure"},
			     { 80, "3100", "Level         Ultrasonic"},
			     { 81, "5300", "Level         Radar"},
			     { 128, "Generic|fr|Gnrique|de|Allgemein", "Interoperable"}
			
			CASE 39:    // Peek_Measurement
			     { 0, "900 Densitometer", "Analytical    Density"}
			
			CASE 40:    // Actaris_Neptune
			     { 1, "NEXGEN", "Flow          Coriolis"}
			
			CASE 42:    // Siemens
			     { 1, "MICRO K"},
			     { 2, "SITRANS L Level|fr|Niveau SITRANS L|de|SITRANS L Fllst.|kt|.b.SITRANS L Level.e."},
			     { 3, "SIPAN pH|fr|pH SIPAN|kt|.b.SIPAN pH.e."},
			     { 4, "SITRANS FUS", "Flow          Ultrasonic"},
			     { 5, "SIPAN LF"},
			     { 6, "SIPAN O2"},
			     { 7, "SITRANS LR", "Level         Radar"},
			     { 10, "SITRANS P HS", "Pressure"},
			     { 11, "SITRANS P DS", "Pressure"},
			     { 12, "SITRANS P ES", "Pressure"},
			     { 13, "SITRANS P MS", "Pressure"},
			     { 15, "SITRANS T 2K"},
			     { 16, "SITRANS TW", "Temperature"},
			     { 18, "SITRANS TK H", "Temperature"},
			     { 19, "SITRANS TH300", "Temperature"},
			     { 21, "SIPART PS2", "Valve         Positioner/Electropneumatic"},
			     { 22, "SITRANS FM", "Flow          Electromagnetic"},
			     { 23, "SITRANS FVA"},
			     { 24, "SITRANS FM MAGFLO", "Flow          Magnetic Inductive"},
			     { 25, "SITRANS FC MASSFLO", "Flow          Coriolis Mass"},
			     { 26, "SITRANS FM IT2 / TM2", "Flow"},
			     { 29, "SITRANS P300", "Pressure"},
			     { 31, "SITRANS TR300", "Temperature"}
			
			CASE 44:    // Toshiba
			     { 2, "AP3100", "Pressure"},
			     { 3, "AP3110"},
			     { 4, "AP3120"},
			     { 5, "AP3140"},
			     { 6, "AP3150"},
			     { 7, "AP3170"},
			     { 8, "AP3180"},
			     { 9, "AP3190"},
			     { 10, "LF220", "Flow          Magnetic"}
			
			CASE 46:    // rosemount_analytical
			     { 6, "2081 pH|fr|2081 pH|de|2081 pH|kt|2081 .b.pH.e.", "Analytical    pH"},
			     { 7, "2081 Cond|fr|2081 Conductivit|de|2081 Leitfhigk.|kt|2081 doudennritu", "Analytical    Conductivity"},
			     { 10, "2054 pH|fr|2054 pH|de|2054 pH|kt|2054 .b.pH.e."},
			     { 11, "2054 Cond|fr|2054 Conductivit|de|2054 Leitfhigk.|kt|2054 doudennritu"},
			     { 12, "Oxymitter 4000", "Analytical    Oxygen"},
			     { 13, "WC_3000", "Analytical"},
			     { 14, "3081FG", "Analytical"},
			     { 15, "OPM-2000R", "Analytical    Opacity Monitor"},
			     { 16, "OCX-4000", "Analytical    Oxygen/Combustion"},
			     { 20, "3081pH|kt|3081.b.pH.e.", "Analytical    pH"},
			     { 21, "3081C|kt|3081.b.C.e.", "Analytical    2-wire Conductivity"},
			     { 22, "3081-81con", "Analytical    2-wire Conductivity w/ pure H20"},
			     { 23, "3081-81T", "Analytical    2-wire Conductivity w/ % conc"},
			     { 24, "5081A", "Analytical    2-wire Oxygen/Chlorine/Ozone"},
			     { 25, "5081C/T", "Analytical    2-wire Conductivity"},
			     { 26, "5081pH", "Analytical    2-wire pH/ORP"},
			     { 27, "Xmt A", "Analytical    2-wire Oxygen/Chlorine/Ozone"},
			     { 28, "Xmt C/T", "Analytical    2-wire Contacting/Toroidal"},
			     { 29, "Xmt pH", "Analytical    2-wire pH/ORP"},
			     { 30, "5081FG", "Analytical    Oxygen - High Temperature"},
			     { 43, "XS-O2", "Analytical    Oxygen"},
			     { 80, "54pH/ORP|kt|54.b.pH/ORP.e.", "Analytical    pH/ORP"},
			     { 81, "54eC", "Analytical    Conductivity w/ % conc"},
			     { 82, "52epH/ORP", "Analytical    pH/ORP/ISE"},
			     { 83, "54eA", "Analytical    Amperometric Analyzer"}
			
			CASE 47:    // Valmet_Automation
			     { 1, "PSMART", "Pressure      Pressure/Level"},
			     { 60, "SMARTPULP", "Analytical    Consistency"},
			     { 61, "SMARTLX", "Analytical    Consistency"},
			     { 62, "MCAi", "Analytical    Microwave-Pulp Consistency"},
			     { 63, "SMARTLC", "Analytical    Consistency"},
			     { 64, "MCA", "Analytical    Microwave Consistency"}
			
			CASE 48:    // Flowserve
			     { 1, "Logix 12xx", "Valve         Digital Positioner"},
			     { 2, "Kmmer C2100", "Valve         Positioner"},
			     { 3, "Logix 520", "Valve         Digital Positioner"},
			     { 4, "Logix3200-IQ", "Valve         Digital Positioner"}
			
			CASE 50:    // Viatran
			     { 1, "970", "Pressure"},
			     { 46, "I/A Pressure", "Pressure"}
			
			CASE 54:    // Yamatake
			     { 1, "MagneW", "Flow          Magnetic"},
			     { 2, "ST3000", "Pressure"},
			     { 3, "SVP", "Valve         Smart Valve Positioner"},
			     { 4, "ThermoPlus ATT", "Temperature"},
			     { 5, "PTG", "Pressure"},
			     { 8, "MagneW 2W", "Flow          Electromagnetic"},
			     { 12, "MAGNEW4W", "Flow          Magnetic"},
			     { 13, "ST9000", "Pressure"}
			
			CASE 55:    // Yokogawa
			     { 1, "YEWFLO", "Flow          Vortex"},
			     { 2, "YT200", "Temperature   Differential"},
			     { 3, "UNICOM", "Pressure"},
			     { 4, "EJA", "Pressure      Differential"},
			     { 5, "ADMAG AE", "Flow          Magnetic"},
			     { 6, "AM11", "Flow"},
			     { 8, "ADMAG SE", "Flow"},
			     { 9, "YTA", "Temperature"},
			     { 10, "YTA70E", "Temperature"},
			     { 11, "DYF", "Flow          Vortex"},
			     { 12, "ZR202", "Analytical    Oxygen"},
			     { 13, "ZR402", "Analytical    Oxygen"},
			     { 20, "ISC202", "Analytical    Conductivity - Inductive"},
			     { 21, "PH202", "Analytical    pH"},
			     { 22, "SC202", "Analytical    Conductivity"},
			     { 24, "DO202", "Analytical    Dissolved Oxygen"},
			     { 39, "PH150", "Analytical    pH Controller"},
			     { 40, "SC150", "Analytical    Conductivity/Resistivity Controller"},
			     { 43, "PH450", "Analytical    pH"},
			     { 44, "SC450", "Analytical    Conductivity/Resistivity"},
			     { 45, "ISC450", "Analytical    Conductivity - Inductive"},
			     { 64, "ROTAMASS", "Flow          Mass"},
			     { 65, "RAMC", "Flow          Variable Area"},
			     { 66, "RCCT_F3", "Flow          Mass"},
			     { 80, "AXFA11", "Flow          Magnetic"},
			     { 81, "EJX", "Pressure"},
			     { 82, "AXFA14", "Flow          Magnetic"},
			     { 83, "AV550G", "Analytical    Oxygen"},
			     { 84, "EJX-MV", "Pressure      Multivariable"}
			     
			CASE 58:  // EXAC  
			  	 {211, "8320"},  // not in common tables
				 {212, "SX5100"} // not in common tables    
			     
			
			CASE 59:    // Solartron_Mobrey
			     { 19, "4301", "Pressure      w/ PID"},
			     { 20, "3301"},
			     { 21, "MSP100", "Level"},
			     { 33, "3300", "Level         Radar"},
			     { 41, "MLT100", "Level         Displacement"},
			     { 42, "4291"},
			     { 43, "MSM400"},
			     { 44, "MSL600"},
			     { 45, "MCU900"},
			     { 46, "MSP900/400", "Level         Ultrasonic"},
			     { 47, "MRL700", "Level         Radar"},
			     { 48, "MRL800"},
			     { 49, "MRL850"}
			
			CASE 61:    // Princo
			     { 1, "L4610"}
			
			CASE 62:    // Smar
			     { 1, "LD301", "Pressure      w/ PID"},
			     { 2, "TT301", "Temperature   w/ PID"},
			     { 3, "FY301", "Valve         Positioner/Electropneumatic"},
			     { 4, "LD291", "Pressure"},
			     { 5, "TP301", "Valve         Positioner"},
			     { 6, "DT301", "Analytical    Density"},
			     { 10, "LD400", "Pressure"}
			
			CASE 63:    // Foxboro_Eckardt
			     { 1, "TSV175", "Temperature"},
			     { 2, "DMU130", "Pressure"},
			     { 3, "TI/RTT20", "Temperature"},
			     { 4, "SRD991", "Valve         Positioner"},
			     { 5, "DMU140", "Pressure"},
			     { 6, "SRD960", "Valve         Universal Positioner"}
			
			CASE 64:    // Measurement_Technology
			     { 21, "MTL4841 Multiplexer"},
			     { 34, "MTL8512 Multiplexer"}
			
			CASE 66:    // Samson
			     { 239, "373X-3", "Valve         Positioner"},
			     { 249, "3780", "Valve         Controller"}
			
			CASE 67:    // Sparling_Instruments
			     { 238, "FM6XX", "Flow          Magnetic"}
			
			CASE 69:    // Krohne
			     { 217, "IFC 100", "Flow          Electromagnetic"},
			     { 219, "TT50C/R", "Temperature"},
			     { 221, "MFC 300", "Flow          Coriolis Mass"},
			     { 226, "ESK2A", "Flow          Variable Area"},
			     { 227, "IFC 300", "Flow          Electromagnetic"},
			     { 228, "Optiflex 1300C", "Level         Radar"},
			     { 229, "Optiwave 7300C", "Level         Radar"},
			     { 230, "M8E", "Flow          Variable Area"},
			     { 231, "UFC030", "Flow          Ultrasonic"},
			     { 232, "MFC05x", "Flow          Coriolis Mass"},
			     { 233, "IFC040", "Flow          Electromagnetic"},
			     { 234, "M10", "Flow          Variable Area"},
			     { 235, "IFC210"},
			     { 236, "BM102", "Level         Radar - Reflex"},
			     { 237, "VFM31", "Flow          Vortex"},
			     { 238, "BM100", "Level         Radar - Reflex"},
			     { 239, "IFC020"},
			     { 240, "VFM1091"},
			     { 242, "ESKII", "Flow          Variable Area"},
			     { 243, "IFC110", "Flow          Magnetic"},
			     { 244, "IFC090", "Flow          Magnetic"},
			     { 245, "UFC500", "Flow          Ultrasonic"},
			     { 246, "IFC010"},
			     { 247, "MFC08x", "Flow          Coriolis Mass"},
			     { 248, "IFC080", "Flow          Magnetic"},
			     { 249, "BM70", "Level         Radar"}
			
			CASE 71:    // Druck
			     { 233, "RTX1000H Gauge", "Pressure      Gauge"},
			     { 236, "RTX1000H SG", "Pressure      Sealed Gauge"},
			     { 239, "RTX1000H ABS", "Pressure      Absolute"}
			
			CASE 77:    // Westlock_Controls
			     { 1, "ICOT", "Valve         Digital Positioner w/ PID"},
			     { 2, "SmartCal", "Valve         Intelligent Positioner"},
			     { 3, "D-EPIC", "Valve         Digital Positioner"},
			     { 4, "D-EPIC ESD", "Valve         Digital Positioner"}
			
			CASE 78:    // Drexelbrook
			     { 2, "UNIVERSAL III", "Level"},
			     { 235, "USonic", "Level         Ultrasonic"}
			
			CASE 79:    // Saab_Tank_Control
			     { 237, "5600", "Level         Radar"},
			     { 239, "TankRadarPro", "Level         Radar"}
			
			CASE 80:    // KTEK
			     { 103, "SPM100 Level"},
			     { 114, "AT100/200 Lvl Vol LCD"},
			     { 115, "AT100/200 2Lvl Vol LCD"},
			     { 118, "AT100/200 Lvl Temp Vol LCD"},
			     { 119, "AT100/200 2Lvl Temp Vol LCD"},
			     { 120, "AT100/200 Lvl"},
			     { 122, "AT100/200 Lvl LCD"},
			     { 123, "AT100/200 2Lvl LCD"},
			     { 126, "AT100/200 Lvl Temp LCD"},
			     { 127, "AT100/200 2Lvl Temp LCD"},
			     { 152, "MT2000 Microwave Level"},
			     { 203, "SPM200 Level"}
			
			CASE 82:    // Draeger
			     { 233, "PIR 7000", "Analytical    Gas Detector"},
			     { 235, "Polytron 7000", "Analytical    Gas Detector"},
			     { 237, "Polytron2 IR", "Analytical    Infrared Gas Detector"},
			     { 247, "Polytron2", "Analytical    Electrochemical Gas Detector"}
			
			CASE 84:    // Meridian
			     { 248, "MSP2002", "Level         Capacitance"},
			     { 249, "MST9500", "Level         Capacitance"}
			
			CASE 85:    // BTG
			     { 222, "HCM-8000", "Analytical    Measuring Instruments"}
			
			CASE 86:    // Magnetrol
			     { 227, "E3 Modulevel", "Level"},
			     { 228, "Model 355", "Level         Ultrasonic"},
			     { 229, "Model 705 3.x", "Level"},
			     { 230, "Model RX5", "Level"},
			     { 231, "Model 704", "Level"},
			     { 232, "Jupiter", "Level         Magnostrictive"},
			     { 233, "Model TA2", "Flow          Mass"},
			     { 234, "Model 707", "Level"},
			     { 235, "Model 705 2.x", "Level"},
			     { 236, "Model 708", "Level"},
			     { 237, "Model 805", "Level"},
			     { 238, "Model 705", "Level"},
			     { 239, "SMARTEZ", "Level"}
			
			CASE 87:    // Metso_Automation
			     { 228, "ND9100HT", "Valve         Positioner"},
			     { 229, "ND9100H", "Valve         Positioner"},
			     { 235, "ValvGuard", "Valve         On/Off Valve Controller"},
			     { 238, "ND820/T", "Valve         Positioner/Pneumatic"},
			     { 239, "ND820", "Valve         Positioner/Pneumatic"}
			
			CASE 88:    // Milltronics
			     { 200, "86x PROBE", "Level         Ultrasonic"},
			     { 201, "SITRANS LR300", "Level         Radar - Pulse"},
			     { 202, "LR 200", "Level         Radar"},
			     { 203, "TDD 300" },
			     { 204, "SITRANS LR400", "Level         Radar"},
			     { 205, "Sitrans Probe LU 6m", "Level         Ultrasonic"},
			     { 206, "Sitrans Probe LU 12m", "Level         Ultrasonic"},
			     { 207, "Probe LR", "Level         Radar"},
				 { 209, "LR 250",        "Level         Radar"},  // does not exist in common tables
				 { 210, "LR 250 Rev2"},  							  // does not exist in common tables
				 { 211, "LR 460 M",		"Level         Radar"},  // does not exist in common tables
				 { 212, "LR 260",		"Level         Radar"},   // does not exist in common tables  
				 { 213, "LG 200"},  // does not exist in common tables
				 { 214, "LR 200"}   // does not exist in common tables  
				 				 
			CASE 90:    // Anderson_Instrument_Company
			     { 200, "ANDRSN1", "Pressure"}
			
			CASE 91:    // Inor
			     { 239, "MESO", "Temperature"}
			
			CASE 92:    // Robertshaw
			     { 200, "Excalibur 7000", "Level"}
			
			CASE 93:    // PEPPERL_FUCHS
			     { 232, "CorrTran", "Analytical    Corrosion"},
				 { 225, DCT_LWA, "Network Component"}
			
			CASE 94:    // Accutech
			     { 238, "PRESS/DP XMTR", "Pressure"},
			     { 239, "AI1500", "Temperature"}
			
			CASE 96:    // Bourdon_Haenni
			     { 237, "FLEXBAR 3501", "Pressure"},
			     { 238, "FLEXBAR HRT", "Pressure"},
			     { 239, "FLEXTOP HRT", "Temperature"}
			
			CASE 97:    // Knick
			     { 232, "2211 CondI", "Analytical    Conductivity"},
			     { 233, "2211 Oxy", "Analytical    Dissolved Oxygen"},
			     { 234, "2211 Cond", "Analytical    Conductivity"},
			     { 235, "2211 pH", "Analytical    pH"}
			
			CASE 99:    // MTS_SYS_CORPS
			     { 237, "M-Series", "Level"}
			
			CASE 100:    // Oval
			     { 100, "ULTRAOVAL", "Flow"},
			     { 101, "ExDelta", "Flow          Vortex"},
			     { 110, "9401 Mass flo", "Flow          Coriolis Mass"},
			     { 111, "9801 Mass flo", "Flow          Coriolis Mass"},
			     { 112, "9201 Mass flo", "Flow          Coriolis Mass"},
			     { 123, "9431 Mass flo", "Flow          Coriolis Mass"}
			
			CASE 101:    // Masoneilan
			     { 100, "HDLT", "Level"},
			     { 200, "SVI", "Valve         Positioner"},
			     { 201, "SVI2", "Valve         Positioner"},
			     { 202, "SVI II AP", "Valve         Positioner"},
			     { 203, "SVI II ESD", "Valve         Controller"}
			
			CASE 102:    // Besta
			     { 239, "CLS 4-20", "Level         Continuous Capactive"}
			
			CASE 103:    // Ohmart
			     { 224, "DSTH/LSTH", "Level         Density - Nuclear"},
			     { 225, "DSTH/LSTH Comp", "Level         Density - Nuclear"}
			
			CASE 104:    // Harold_Beck_and_Sons
			     { 1, "ESR-D", "Valve         Damper Actuator"},
			     { 10, "BECK-DCM", "Valve         Electric Damper Actuator"},
			     { 239, "BECK-MK2", "Valve         Damper Actuator"}
			
			CASE 107:    // Wika
			     { 238, "UniTrans", "Pressure"},
			     { 239, "T32", "Temperature"}
			
			CASE 108:    // Bopp_Reuther_Heinrichs
			     { 235, "UMC2", "Flow          Mass"},
			     { 236, "ES", "Flow          Electronic"},
			     { 237, "VTX", "Flow          Vortex"},
			     { 238, "DIMF", "Analytical    Density"},
			     { 239, "UST 1", "Flow"}
			
			CASE 109:    // PR_Electronics
			     { 223, "T55", "Temperature"},
			     { 238, "PRetrans 6335", "Temperature"},
			     { 239, "Pretop 5335", "Temperature"}
			
			CASE 113:    // Apparatebau_Hundsbach
			     { 238, "MT115", "Temperature"}
			
			CASE 114:    // Dynisco
			     { 222, "SPX", "Pressure"},
			     { 223, "IPXII", "Pressure      Multivariable"},
			     { 224, "IPX", "Pressure      Multivariable"}
			
			CASE 116:    // Direct_Measurement
			     { 239, "DMC R-1A", "Flow          Coriolis Mass"}
			
			CASE 117:    // Klay
			     { 239, "Klay 2000 Pressure/Level", "Pressure"}
			
			CASE 120:    // Buerkert_Fluid_Control_Systems
			     { 239, "8630"}
			
			CASE 124:    // GLI
			     { 238, "M33-53P"},
			     { 239, "M33-53C"}
			
			CASE 126:    // Paper_Machine_Components
			     { 224, "SMT-EL", "Pressure"}
			
			CASE 127:    // Labom
			     { 60, "PASCAL CI", "Pressure"},
			     { 224, "IPX", "Pressure      Multivariable"}
			
			CASE 128:    // Danfoss
			     { 3, "MAGFLO", "Flow          Magnetic"}
			
			CASE 129:    // Turbo
			     { 127, "Intermag-Transmag", "Flow          Magnetic"}
			
			CASE 130:    // Tokyo_Keiso
			     { 123, "FW-9000", "Level"},
			     { 127, "FST-3000", "Level"}
			
			CASE 131:    // SMC
			     { 126, "IP8101", "Valve         Positioner/Electropneumatic"},
			     { 239, "F793-E701", "Valve         Positioner/Electropneumatic"}
			
			CASE 132:    // Status_Instruments
			     { 239, "SEM 300", "Temperature"}
			
			CASE 133:    // Huakong
			     { 127, "HK TT01", "Temperature"}
			
			CASE 134:    // Duon_System
			     { 97, "APT3200", "Pressure"},
			     { 107, "APT3100", "Pressure"}
			
			CASE 135:    // Vortek_Instruments
			     { 1, "Innova-Mass", "Flow          Vortex - Multiparameter Mass"}
			
			CASE 137:    // Action_Instruments
			     { 239, "T798", "Temperature"}
			
			CASE 140:    // Magtech
			     { 136, "LTM-100", "Level         Magnostrictive"},
			     { 137, "LTM-300", "Level"}
			
			CASE 141:    // Rueger
			     { 1, "S95 HRT", "Temperature"},
			     { 127, "S95.3U_2", "Temperature"}
			
			CASE 142:    // Mettler_Toledo
			     { 120, "CondI7100", "Analytical    Conductivity"},
			     { 121, "O2 4100e", "Analytical    Dissolved Oxygen"},
			     { 122, "Cond7100", "Analytical    Conductivity"},
			     { 123, "pH 2100", "Analytical    pH"}
			
			CASE 143:    // Det_Tronics
			     { 124, "X3301", "Analytical    Flame Detector"},
			     { 126, "OPECL_RX", "Analytical    Infrared Gas Detector"},
			     { 127, "Eclipse", "Analytical    Infrared Gas Detector"}
			
			CASE 144:    // Thermo_MeasureTech
			     { 125, "NDMi", "Analytical    Density - Nuclear"},
			     { 126, "Accu-Wave", "Level         Radar"},
			     { 127, "NCMi", "Level         Nuclear"}
			
			CASE 145:    // Dezurik
			     { 239, "Positioner", "Valve         Positioner/Electropneumatic"}
			
			CASE 146:    // Phase_Dynamics
			     { 127, "Analyzer", "Analytical    Microwave"}
			
			CASE 147:    // Welltech
			     { 124, "WT2000", "Pressure"}
			
			CASE 153:    // Metran
			     { 121, "METRAN-150", "Pressure"},
			     { 124, "METRAN-300PRM"},
			     { 125, "METRAN-49"},
			     { 126, "METRAN-280", "Temperature"},
			     { 127, "METRAN-100", "Pressure"}
			
			CASE 154:    // Milton_Roy
			     { 127, "P Series"}
			
			CASE 155:    // PMV
			     { 211, "D3", "Valve         Positioner"}
			
			CASE 156:    // Turck
			     { 1, "KMU-HLI", "Temperature"}
			
			CASE 157:    // Panametrics
			     { 112, "x868", "Flow          Ultrasonic"}
			
			CASE 158:    // Stahl
			     { 1, "ICS MUX FBS"},
			     { 2, "ICS 1000"},
			     { 3, "VOS 200"},
			     { 4, "ICS modul 9148"},
			     { 5, "I.S. 1 Remote I/O"},
			     { 6, "IS pac 9192 16 ch"},
			     { 7, "IS pac 9192 32 ch"}
			
			CASE 159:    // Analytical_Technology_Inc
			     { 127, "D12", "Analytical    Gas Detector"}
			
			CASE 160:    // FINT
			     { 2, "PIR 2000", "Analytical    Gas Detector"},
			     { 237, "OXI5000", "Analytical    Oxygen"}
			
			CASE 161:    // BERTHOLD
			     { 124, "LB466"},
			     { 125, "LB491", "Analytical    Density - Radiometric"},
			     { 126, "LB460", "Level         Radiometric"},
			     { 127, "LB490", "Level         Radiometric"}
			
			CASE 162:    // InterCorr
			     { 239, "SMARTCET 18C", "Analytical    Corrosion"}
			
			CASE 166:    // Fluid_Components
			     { 120, "ST98", "Flow"}
			
			CASE 169:    // Invensys
			     { 46, "I/A Pressure", "Pressure"},
			     { 52, "CFT50"}
			
			CASE 171:    // Tyco_Valve_Controls
			     { 1, "SmartCal", "Valve         Digital Positioner w/ PID"}
			
			CASE 173:    // JTec_Associates
			     { 0, "GasFlowMeter", "Analytical    Gas/Steam"},
			     { 1, "LiquidFlowMeter"}
			
			CASE 174:    // Tracerco
			     { 127, "PRI-150", "Level         Nucleonic"},
			     { 159, "Level Combination Unit"}
			
			CASE 176:    // Phoenix_Contact
			     { 1, "MCR-TS-LP", "Temperature   DIN Rail Mounted"},
			     { 2, "MCR-HT-TS", "Temperature   Head Mounted"}
			
			CASE 178:    // Amer_Level_Instr
			     { 127, "Model 32E", "Level         Capacitance"}
			
			CASE 180:    // YTC
			     { 1, "YT-2300", "Valve         Positioner"},
			     { 2, "YT-2400", "Valve         Positioner"}
			
			CASE 181:    // Pyromation_Inc
			     { 127, "Series442", "Temperature"},
			     { 128, "Series642", "Temperature"}
			
			CASE 182:    // Satron_Instruments
			     { 127, "V-series", "Pressure"}
			
			CASE 189:    // Badger_Meter
			     { 1, "Primo Advanced", "Flow          Electromagnetic"}
			
			CASE 191:    // GP_50
			     { 124, "MDL 400", "Pressure"}
			
			CASE 192:    // Kongsberg_Maritime
			     { 239, "GT400", "Pressure"}
			
			CASE 193:    // ASA_SpA
			     { 1, "C/G Asameter /H"}
			
			CASE 194:    // Hengesbach
			     { 33, "TE 52", "Temperature   Head Mounted"}
			
			CASE 195:    // Lanlian_Instruments
			     { 116, "LSIII Pressure", "Pressure"}
			
			CASE 196:    // Spectrum_Controls
			     { 1, "I/O Module"}
			
			CASE 197:    // Kajaani_Process_Measurements
			     { 128, "KC/3", "Analytical    Blade Consistency"},
			     { 129, "KC/5", "Analytical    Rotary Consistency"}
			
			CASE 199:    // SICK
			     { 128, "FLOWSIC 600", "Flow          Ultrasonic"}
			
			CASE 202:    // Spirax_Sarco_Italy
			     { 128, "SP301", "Valve         Smart Valve Positioner"}
			
			CASE 206:    // Roost
			     { 128, "EPP300", "Valve         Positioner/Electropneumatic"}
			
			CASE 207:    // KOSO
			     { 128, "EP1000/SPS2000", "Valve         Positioner/Electropneumatic"},
			     { 129, "EP1001", "Valve         Positioner/Electropneumatic"}
			
			CASE 212:    // SIC
			     { 128, "PES", "Pressure"},
			     { 133, "HVP1114", "Valve         Positioner/Pneumatic"},
			     { 134, "FLOW MASTER", "Flow          Electromagnetic"}
			
			CASE 213:    // HACH_LANGE
			     { 128, "SI792P", "Analytical    pH"},
			     { 129, "SI792C", "Analytical    Conductivity"},
			     { 130, "SI792T", "Analytical    Conductivity"},
			     { 131, "SI792E", "Analytical    Conductivity"},
			     { 132, "SI792D", "Analytical    Dissolved Oxygen"}
			
			CASE 223:    // General_Monitors
			     { 128, "FL4000", "Analytical    Flame Detector"},
			     { 129, "S4000CH", "Analytical    Combustible Gas Detector"}
			
			CASE 224:    // ExSaf
			     { 128, "ESD3000"},
			     { 129, "Sensor Don"},
			     { 130, "SDT420"},
			     { 131, "RT-Ex15"},
			     { 132, "SS"},
			     { 133, "3DLevelScanner M"},
			     { 134, "3DLevelScanner S"},
			     { 135, "3DLevelScanner L"},
			     { 136, "EX200H Positioner"},
			     { 137, "IS200H Positioner"},
			     { 138, "R3x"},
			     { 139, "700 Bridge"},
			     { 140, "UltimaXL/XT", "Analytical    Gas Detector"},
			     { 141, "CMM-01 MASS FLOW"},
			     { 142, "JLT-6000"},
			     { 143, "SMARTRONIC MA"},
			     { 144, "CMS Standard"},
			     { 145, "Millennium II"},
			     { 146, "HIM1008"},
			     { 147, "CXT"},
			     { 148, "CJT"},
			     { 149, "HBM - 165 H"},
			     { 150, "HBM - 167 H"},
			     { 151, "WBM - 165 H"},
			     { 152, "OBM - 165 H"},
			     { 153, "OBM - 167 H"},
			     { 154, "MBM - 165 H"},
			     { 155, "MBM - 167 H"},
			     { 156, "Mark Series"},
			     { 157, "TR"},
			     { 158, "Millennium 2 Basic", "Analytical    Gas Detector"},
			     { 159, "UltimaXEH"},
			     { 160, "Position Xmitter"}
			     
			CASE 239:  // HCF
				 {235, "STD"},
				 {236, "SAMPLE4"},
				 {237, "SAMPLE3"},
				 {238, "SAMPLE2"},
				 {239, "SAMPLE1"}     
			
			CASE 249:    // HCF
			     { 130, "Generic|fr|Gnrique|de|Allgemein", "Interoperable"}
          			
		}

		{ 252, [unknown] }
	}
}

VARIABLE dd_device_type
{
	LABEL		[device_type];
	HELP		[manufacturers_device_type_help];
	HANDLING	READ & WRITE ;
	CLASS		LOCAL ;
	TYPE		ENUMERATED (1)
	{
		SELECT( dd_manufacturer_id )
		{ 
			CASE 3:    // Ametek
			     { 4, "NEWTHERMOX", "Analytical    Oxygen/Combustion/Methane/CO"}
			
			CASE 10:    // Brooks_Instrument
			     { 1, "TRI20", "Flow          Totalizer - Rate Indicator"},
			     { 2, "38XXVA", "Flow          Variable Area"},
			     { 3, "99XXOVAL", ""},
			     { 4, "QUANTIM", "Flow          Coriolis Mass"}
			
			CASE 13:    // Daniel_Industries
			     { 20, "Gas USM", "Flow          Ultrasonic - Gas"},
			     { 40, "Liquid USM", "Flow          Ultrasonic - Liquid"}
			
			CASE 14:    // Delta
			     { 1, "HT"}
			
			CASE 17:    // Endress_Hauser
			     { 3, "FMU860", "Level         Ultrasonic"},
			     { 4, "FMU861", "Level         Ultrasonic"},
			     { 5, "FMU862", "Level         Ultrasonic"},
			     { 6, "FMR130/Micropilot", "Level         Radar - Microwave "},
			     { 7, "CERABS /Cerabar S", "Pressure      Absolute"},
			     { 8, "FEC12", "Level         Capacitance"},
			     { 9, "DELTBS/Deltabar S", "Pressure      Differential"},
			     { 10, "FMU231/FMU13x", "Level         Ultrasonic"},
			     { 11, "DELTAPS/ Deltapilot", "Level         Hydrostatic"},
			     { 12, "FMR23x", "Level         Ultrasonic"},
			     { 13, "FMP200", "Level"},
			     { 14, "Cerabar M", "Pressure      Absolute/Relative"},
			     { 15, "FMR2xx", "Level         Microwave"},
			     { 16, "FMR53x", "Level         Microwave"},
			     { 17, "FMU4x", "Level         Ultrasonic"},
			     { 18, "FMP4x", "Level         Radar"},
			     { 19, "FMG60", "Level         Density - Nuclear"},
			     { 20,  [nrf590] },     // this value does not exist in common tables
			     { 23, "DeltabarS", "Pressure      Deltabar S Evolution"},
			     { 24, "CerabarS", "Pressure      Cerabar S Evolution"},
			     { 26, "DeltapilotS", "Pressure      Deltapilot S Evolution"},
			     { 27, "FMU9x", "Level         Ultrasonic"},
			     { 30, "FMR25x", "Level         Microwave"},
			     { 31, "FMR54x", "Level         Microwave"},
			     { 50, "PROMAG33", "Flow          Electromagnetic"},
			     { 51, "PROWIRL70", "Flow          Vortex"},
			     { 52, "PROMASS63", "Flow          Coriolis Mass"},
			     { 53, "PROMAG39", "Flow          Magmeter - Rack Version"},
			     { 54, "PROMAG35S", "Flow          High Performance Magmeter"},
			     { 55, "PROWIRL77", "Flow          Vortex"},
			     { 57, "PROMASS60", "Flow          Mass"},
			     { 64, "PROSON F", "Flow          Ultrasonic"},
			     { 65, "PROMAG50", "Flow          Magnetic"},
			     { 66, "PROMAG53", "Flow          Magnetic"},
			     { 67, "PROMAG51", "Flow          Magnetic - Custody Transfer"},
			     { 68, "PROMAG55", "Flow          Magnetic"},
			     { 69, "PROMAG10", "Flow          Magnetic"},
			     { 70, "PROMAG23", "Flow          2-wire Magnetic"},
			     { 80, "PROMASS80", "Flow          Coriolis Mass"},
			     { 81, "PROMASS83", "Flow          Coriolis Mass"},
			     { 82, "PROMASS84", "Flow          Coriolis Mass - Custody Transfer"},
			     { 83, "PROMASS40", "Flow          Coriolis Mass"},
			     { 86, "PROWIRL72", "Flow          2-wire Vortex"},
			     { 87, "PROWIRL73", "Flow          2-wire Vortex"},
			     { 88, "P_FLOW90", "Flow          Ultrasonic"},
			     { 89, "P_FLOW93", "Flow          Ultrasonic"},
			     { 97, "P_FLOW92", "Flow          Ultrasonic"},
			     { 98, "P_FLOW91", "Flow          Ultrasonic"},
			     { 100, "AT70", "Flow          Thermal"},
			     { 101, "T-MASS65", "Flow          Thermal"},
			     { 120, "TMD832", "Temperature   Head Mounted"},
			     { 121, "TMD833", "Temperature   Compact"},
			     { 124, "TMD842", "Temperature   DIN Rail Mounted"},
			     { 140, "MyPro pH", "Analytical    pH"},
			     { 141, "MyPro LFC", "Analytical    Conductivity - Conductive"},
			     { 142, "MyPro LFI", "Analytical    Conductivity - Inductive"},
			     { 181, "NMT530", "Temperature   Sensor"},
			     { 182, "NMS530", "Level         Servo"},
			     { 200, "TMT182", "Temperature   Head Mounted"},
			     { 201, "TMT122", "Temperature   DIN Rail"},
			     { 202, "TMT162", "Temperature"},
			     { 203, "TMT142", "Temperature"}
			     { 240, DCT_LWA , "Network Component"}
			
			CASE 18:    // Fischer_Porter
			     { 7, "50XM2000", "Flow          Magnetic"},
			     { 8, "50XE4000", "Flow          Magnetic"},
			     { 14, "50VT1000", "Flow          Vortex"},
			     { 15, "50VM1000", "Flow          Vortex"},
			     { 25, "50XM1000", "Flow          Magnetic"},
			     { 26, "50SM1000", "Flow          Magnetic"},
			     { 66, "PTH", "Pressure      Differential"},
			     { 80, "TB82PH pH", "Analytical    pH"},
			     { 81, "TB82PH ORP", "Analytical    ORP"},
			     { 82, "TB82PH pION", "Analytical    pION"},
			     { 83, "TB82PH IConc", "Analytical    IConc"},
			     { 84, "TB82EC COND", "Analytical    Electrode Conductivity"},
			     { 85, "TB82EC CONC", "Analytical    Electrode Conductivity"},
			     { 86, "TB82TE COND", "Analytical    Electrode Conductivity"},
			     { 87, "TB82TE CONC", "Analytical    Electrode Conductivity"},
			     { 88, "TB82TC COND", "Analytical    Toroidal Conductivity"},
			     { 89, "TB82TC CONC", "Analytical    Toroidal Conductivity"}
			
			CASE 19:    // Fisher_Controls
				 { 1, "DT"}, // this value does not exist in common tables
				 { 2, "DVC"}, // this value does not exist in common tables
			     { 3, "DVC6000", "Valve         Positioner"},
			     { 5, "DVC2000", "Valve         Controller"}
			
			CASE 20:    // Foxboro
			     { 29, "IMV31", "Pressure      Multivariable"},
			     { 30, "Vortex 84", "Flow          Vortex"},
			     { 41, "IMT25", "Flow          Magnetic"},
			     { 46, "I/A Pressure", "Pressure"},
			     { 47, "IMV 25/30", "Pressure      Multivariable"},
			     { 48, "875PH", "Analytical    pH/ORP"},
			     { 51, "ITVORTEX", "Flow          Vortex"},
			     { 52, "CFT50", "Flow          Coriolis"},
			     { 53, "875CR", "Analytical    Conductivity"},
			     { 54, "875EC", "Analytical    Conductivity"},
			     { 56, "RTT15", "Temperature"},
			     { 125, "CFT 30 x", "Flow          Coriolis"}
			
			CASE 21:    // Fuji
			     { 1, "FCX-A/C", "Pressure"},
			     { 2, "FCX-A2/C2", "Pressure"},
			     { 129, "FRC ", "Temperature"}
			
			CASE 22:    // Hartmann_Braun
			     { 3, "TEU 471"},
			     { 4, "TEU 421"},
			     { 5, "TEU 211", "Temperature"},
			     { 6, "TS 11", "Temperature"},
			     { 8, "TH 02", "Temperature"},
			     { 64, "TZID", "Valve         Positioner/Pneumatic"},
			     { 65, "TZIDC", "Valve         Positioner/Pneumatic"},
			     { 133, "AS800", "Pressure"},
			     { 135, "Contrac", "Valve         Actuator - Electrical"}
			
			CASE 23:    // Honeywell
			     { 1, "ST3000", "Pressure"},
			     { 2, "STT25T", "Temperature   Dual Input"},
			     { 3, "HWFLOW/Mage W Plus", "Flow          Magnetic"},
			     { 4, "STT25H", "Temperature"},
			     { 5, "HERCULINE", "Valve         Actuator"},
			     { 6, "SmartCET", "Analytical    Corrosion"},
			     { 7, "STT17H", "Temperature"},
			     { 8, "ST2500"},
			     { 9, "STT25S", "Temperature"}
			
			CASE 25:    // kayray
			     { 8, "4050|kt|4050"},
			     { 9, "3680 Dens|fr|3680 Masse vol|de|3680 Dichte|kt|3680 .b.Dens.e.", "Analytical    Density - Nuclear"},
			     { 10, "4790", "Level         Continuous Gamma"},
			     { 11, "Accu-Pulse PRO", "Level         Laser Ranging"},
			     { 15, "3280 Steam qual|fr|3280 Qualit vapeur|de|3280 Dampfqual.|kt|3280 .b.Steam qual.e."}
			
			CASE 26:    // ABB
			     { 1, "KSX", "Pressure"},
			     { 2, "600T", "Pressure      Differential"},
			     { 3, "2600T-268", "Pressure      Safety"},
			     { 4, "2600T-262/264", "Pressure"},
			     { 5, "2600T-364", "Pressure"},
			     { 8, "KST", "Temperature"},
			     { 10, "658T", "Temperature"},
			     { 11, "TTX300 series|de|TTX300 Serie", "Temperature"},
			     { 12, "652/653S", "Temperature"},
			     { 26, "FVS4000", "Flow          Vortex/Swirl"},
			     { 29, "FSM4000", "Flow          Electromagnetic"},
			     { 35, "TB82PH-Combined", "Analytical    pH"},
			     { 36, "TB82EC-Combined", "Analytical    4 Electrode Conductivity"},
			     { 37, "TB82TE-Combined", "Analytical    2 Electrode Conductivity"},
			     { 38, "TB82TC-Combined", "Analytical    Troidal Conductivity"},
			     { 137, "263/265, 2000T", "Pressure      P, dP + Multivariable"},
			     { 140, "261", "Pressure      Absolute"}
			
			CASE 29:    // M_System_Co
			     { 1, "B6U", "Temperature   2-wire"},
			     { 2, "B3HU", "Temperature"},
			     { 3, "27HU", "Temperature   Head Mounted"}
			
			CASE 31:    // micro_motion
			     { 7, "9712 Mass flo|fr|9712 Dbit massique|de|9712 Masseflu|kt|9712 masu huro-", "Flow          Coriolis Mass"},
			     { 20, "9720"},
			     { 21, "9739 Mass flo|fr|9739 Dbit massique|de|9739 Masseflu|kt|9739 masu huro-", "Flow          Coriolis Mass"},
			     { 30, "9701", "Flow          Coriolis Mass"},
			     { 36, "MVD Series 2000 Config I/O", "Flow          Coriolis Mass"},
			     { 37, "MVD Series 1000 Config I/O", "Flow          Coriolis Mass"},
			     { 38, "MVD Series 2000 IS Output", "Flow          Coriolis Mass"},
			     { 39, "MVD Series 1000 IS Output", "Flow          Coriolis Mass"},
			     { 41, "MVD Series 1000 Analog Output", "Flow          Coriolis Mass"},
			     { 42, "MVD Series 2000 Analog Output", "Flow          Coriolis Mass"},
			     { 52, "2400S Mass flo", "Flow          Coriolis Mass"},
			     { 65, "MVD Series 3000", "Flow          Coriolis Mass"}
			
			CASE 32:    // Moore_Industries
			     { 1, "TRZ", "Temperature"},
			     { 3, "THZ", "Temperature"},
			     { 4, "THZ2", "Temperature"}
			
			CASE 33:    // Moore_Products
			     { 1, "340 A"},
			     { 2, "340 B"},
			     { 3, "344"},
			     { 5, "330", "Pressure"},
			     { 6, "340 A2", "Pressure      w/ PID"},
			     { 8, "340 B2"},
			     { 9, "344 2"},
			     { 10, "340 S", "Pressure      Saturated Steam"},
			     { 11, "343", "Temperature"},
			     { 12, "760D Valvepac"},
			     { 13, "345", "Pressure"}
			
			CASE 37:    // Ronan
			     { 2, "X96 D", "Analytical    Density - Gamma Ray"},
			     { 3, "X96 L", "Level         Gamma Ray"},
			     { 4, "X96 W", "Analytical    Weight - Gamma Ray"},
			     { 5, "X96 LD", "Level         w/ Density - Gamma Ray"},
			     { 6, "X99 MD", "Analytical    Motorized Density"}
			
			CASE 38:    // rosemount
			     { 1, "3051|fr|3051 Pression|de|3051 Druck|kt|3051"},
			     { 2, "3044 Temp|fr|3044 Temprature|de|3044 Temperatur|kt|3044 .b.Temp.e.", "Temperature"},
			     { 3, "1151|fr|1151 Pression|de|1151 Druck|kt|1151", "Pressure"},
			     { 4, "Magmeter|fr|Dbitmtre lectrom|de|Magmeter|kt|magume-ta-", "Flow          Magnetic"},
			     { 5, "2001|kt|2001"},
			     { 6, "3051C|fr|3051C Pression|de|3051C Druck|kt|3051.b.C.e.", "Pressure"},
			     { 11, "3001L HTG|fr|3001L Transm HTG|de|3001L HTG MU|kt|3001.b.L HTG.e."},
			     { 12, "Mag HS|fr|Db mag ht signal|de|Ho Signal Mag|kt|magu .b.HS.e.", "Flow          Magnetic"},
			     { 13, "3044C Temp|fr|3044C Temprature|de|3044C Temperatur|kt|3044.b.C Temp.e.", "Temperature"},
			     { 14, "3001C HTG|fr|3001C Transm HTG|de|3001C HTG MU|kt|3001.b.C HTG.e.", "Pressure"},
			     { 15, "3051C LP|fr|3051C Faible consom|de|3051C Low Power|kt|3051.b.C .e.ro-pawa-", "Pressure"},
			     { 16, "Vortex|fr|Dbitmtre  vortex|de|Vortex Durchflu|kt|boruteltukusu", "Flow          Vortex"},
			     { 17, "3201 SAM|fr|3201 SAM|de|3201 SAM|kt|3201 .b.SAM.e.", "Level         Hydrostatic"},
			     { 18, "1152|fr|1152 Pression|de|1152 Druck|kt|1152"},
			     { 19, "3202 SAM|fr|3202 SAM|de|3202 SAM|kt|3202 .b.SAM.e.", "Level         Hydrostatic"},
			     { 20, "3001S HTG|fr|3001S Transm HTG|de|3001S HTG MU|kt|3001.b.S HTG.e.", "Pressure"},
			     { 21, "3095FT|kt|3095.b.FT.e."},
			     { 22, "3095MV|kt|3095.b.MV.e.", "Flow          Multivariable Mass"},
			     { 23, "544 Temp|kt|544 .b.Temp.e."},
			     { 24, "644 Temp|kt|644 .b.Temp.e.", "Temperature"},
			     { 25, "3144 Temp|kt|3144 .b.Temp.e.", "Temperature"},
			     { 26, "3244 Temp|kt|3244 .b.Temp.e.", "Temperature   Multivariable"},
			     { 27, "3700"},
			     { 28, "3750", "Level"},
			     { 29, "Tri-Loop", "Specialty     HART-to-Analog Signal Conv"},
			     { 30, "3095C", "Level"},
			     { 31, "3095MM"},
			     { 32, "3701"},
			     { 33, "3300", "Level         Radar"},
			     { 34, "3702ASU"},
			     { 35, "2088 Smart", "Pressure"},
			     { 36, "ProBar", "Flow          dP"},
			     { 37, "Mass ProBar"},
			     { 38, "ProV"},
			     { 39, "2090 Smart", "Pressure"},
			     { 40, "ProBar UC", "Flow          dP"},
			     { 41, "2055D"},
			     { 42, "3095PV"},
			     { 45, "Sentry"},
			     { 47, "ProPlate UC", "Flow          dP"},
			     { 54, "1810", "Pressure"},
			     { 55, "8712D", "Flow          Magnetic"},
			     { 56, "4600", "Pressure"},
			     { 58, "8800D", "Flow          Vortex"},
			     { 59, "248 Temperature", "Temperature"},
			     { 60, "8732", "Flow          Magnetic"},
			     { 64, "2088LP", "Pressure      Low Power"},
			     { 65, "5600 Radar Level"},
			     { 66, "951", "Pressure"},
			     { 67, "5400", "Level         Radar"},
			     { 68, "3051S SIS", "Pressure      Certified SIL2"},
			     { 69, "3144P SIS", "Temperature"},
			     { 71, "4500", "Pressure"},
			     { 80, "3100", "Level         Ultrasonic"},
			     { 81, "5300", "Level         Radar"},
			     { 128, "Generic|fr|Gnrique|de|Allgemein", "Interoperable"}
			
			CASE 39:    // Peek_Measurement
			     { 0, "900 Densitometer", "Analytical    Density"}
			
			CASE 40:    // Actaris_Neptune
			     { 1, "NEXGEN", "Flow          Coriolis"}
			
			CASE 42:    // Siemens
			     { 1, "MICRO K"},
			     { 2, "SITRANS L Level|fr|Niveau SITRANS L|de|SITRANS L Fllst.|kt|.b.SITRANS L Level.e."},
			     { 3, "SIPAN pH|fr|pH SIPAN|kt|.b.SIPAN pH.e."},
			     { 4, "SITRANS FUS", "Flow          Ultrasonic"},
			     { 5, "SIPAN LF"},
			     { 6, "SIPAN O2"},
			     { 7, "SITRANS LR", "Level         Radar"},
			     { 10, "SITRANS P HS", "Pressure"},
			     { 11, "SITRANS P DS", "Pressure"},
			     { 12, "SITRANS P ES", "Pressure"},
			     { 13, "SITRANS P MS", "Pressure"},
			     { 15, "SITRANS T 2K"},
			     { 16, "SITRANS TW", "Temperature"},
			     { 18, "SITRANS TK H", "Temperature"},
			     { 19, "SITRANS TH300", "Temperature"},
			     { 21, "SIPART PS2", "Valve         Positioner/Electropneumatic"},
			     { 22, "SITRANS FM", "Flow          Electromagnetic"},
			     { 23, "SITRANS FVA"},
			     { 24, "SITRANS FM MAGFLO", "Flow          Magnetic Inductive"},
			     { 25, "SITRANS FC MASSFLO", "Flow          Coriolis Mass"},
			     { 26, "SITRANS FM IT2 / TM2", "Flow"},
			     { 29, "SITRANS P300", "Pressure"},
			     { 31, "SITRANS TR300", "Temperature"}
			
			CASE 44:    // Toshiba
			     { 2, "AP3100", "Pressure"},
			     { 3, "AP3110"},
			     { 4, "AP3120"},
			     { 5, "AP3140"},
			     { 6, "AP3150"},
			     { 7, "AP3170"},
			     { 8, "AP3180"},
			     { 9, "AP3190"},
			     { 10, "LF220", "Flow          Magnetic"}
			
			CASE 46:    // rosemount_analytical
			     { 6, "2081 pH|fr|2081 pH|de|2081 pH|kt|2081 .b.pH.e.", "Analytical    pH"},
			     { 7, "2081 Cond|fr|2081 Conductivit|de|2081 Leitfhigk.|kt|2081 doudennritu", "Analytical    Conductivity"},
			     { 10, "2054 pH|fr|2054 pH|de|2054 pH|kt|2054 .b.pH.e."},
			     { 11, "2054 Cond|fr|2054 Conductivit|de|2054 Leitfhigk.|kt|2054 doudennritu"},
			     { 12, "Oxymitter 4000", "Analytical    Oxygen"},
			     { 13, "WC_3000", "Analytical"},
			     { 14, "3081FG", "Analytical"},
			     { 15, "OPM-2000R", "Analytical    Opacity Monitor"},
			     { 16, "OCX-4000", "Analytical    Oxygen/Combustion"},
			     { 20, "3081pH|kt|3081.b.pH.e.", "Analytical    pH"},
			     { 21, "3081C|kt|3081.b.C.e.", "Analytical    2-wire Conductivity"},
			     { 22, "3081-81con", "Analytical    2-wire Conductivity w/ pure H20"},
			     { 23, "3081-81T", "Analytical    2-wire Conductivity w/ % conc"},
			     { 24, "5081A", "Analytical    2-wire Oxygen/Chlorine/Ozone"},
			     { 25, "5081C/T", "Analytical    2-wire Conductivity"},
			     { 26, "5081pH", "Analytical    2-wire pH/ORP"},
			     { 27, "Xmt A", "Analytical    2-wire Oxygen/Chlorine/Ozone"},
			     { 28, "Xmt C/T", "Analytical    2-wire Contacting/Toroidal"},
			     { 29, "Xmt pH", "Analytical    2-wire pH/ORP"},
			     { 30, "5081FG", "Analytical    Oxygen - High Temperature"},
			     { 43, "XS-O2", "Analytical    Oxygen"},
			     { 80, "54pH/ORP|kt|54.b.pH/ORP.e.", "Analytical    pH/ORP"},
			     { 81, "54eC", "Analytical    Conductivity w/ % conc"},
			     { 82, "52epH/ORP", "Analytical    pH/ORP/ISE"},
			     { 83, "54eA", "Analytical    Amperometric Analyzer"}
			
			CASE 47:    // Valmet_Automation
			     { 1, "PSMART", "Pressure      Pressure/Level"},
			     { 60, "SMARTPULP", "Analytical    Consistency"},
			     { 61, "SMARTLX", "Analytical    Consistency"},
			     { 62, "MCAi", "Analytical    Microwave-Pulp Consistency"},
			     { 63, "SMARTLC", "Analytical    Consistency"},
			     { 64, "MCA", "Analytical    Microwave Consistency"}
			
			CASE 48:    // Flowserve
			     { 1, "Logix 12xx", "Valve         Digital Positioner"},
			     { 2, "Kmmer C2100", "Valve         Positioner"},
			     { 3, "Logix 520", "Valve         Digital Positioner"},
			     { 4, "Logix3200-IQ", "Valve         Digital Positioner"}
			
			CASE 50:    // Viatran
			     { 1, "970", "Pressure"},
			     { 46, "I/A Pressure", "Pressure"}
			
			CASE 54:    // Yamatake
			     { 1, "MagneW", "Flow          Magnetic"},
			     { 2, "ST3000", "Pressure"},
			     { 3, "SVP", "Valve         Smart Valve Positioner"},
			     { 4, "ThermoPlus ATT", "Temperature"},
			     { 5, "PTG", "Pressure"},
			     { 8, "MagneW 2W", "Flow          Electromagnetic"},
			     { 12, "MAGNEW4W", "Flow          Magnetic"},
			     { 13, "ST9000", "Pressure"}
			
			CASE 55:    // Yokogawa
			     { 1, "YEWFLO", "Flow          Vortex"},
			     { 2, "YT200", "Temperature   Differential"},
			     { 3, "UNICOM", "Pressure"},
			     { 4, "EJA", "Pressure      Differential"},
			     { 5, "ADMAG AE", "Flow          Magnetic"},
			     { 6, "AM11", "Flow"},
			     { 8, "ADMAG SE", "Flow"},
			     { 9, "YTA", "Temperature"},
			     { 10, "YTA70E", "Temperature"},
			     { 11, "DYF", "Flow          Vortex"},
			     { 12, "ZR202", "Analytical    Oxygen"},
			     { 13, "ZR402", "Analytical    Oxygen"},
			     { 20, "ISC202", "Analytical    Conductivity - Inductive"},
			     { 21, "PH202", "Analytical    pH"},
			     { 22, "SC202", "Analytical    Conductivity"},
			     { 24, "DO202", "Analytical    Dissolved Oxygen"},
			     { 39, "PH150", "Analytical    pH Controller"},
			     { 40, "SC150", "Analytical    Conductivity/Resistivity Controller"},
			     { 43, "PH450", "Analytical    pH"},
			     { 44, "SC450", "Analytical    Conductivity/Resistivity"},
			     { 45, "ISC450", "Analytical    Conductivity - Inductive"},
			     { 64, "ROTAMASS", "Flow          Mass"},
			     { 65, "RAMC", "Flow          Variable Area"},
			     { 66, "RCCT_F3", "Flow          Mass"},
			     { 80, "AXFA11", "Flow          Magnetic"},
			     { 81, "EJX", "Pressure"},
			     { 82, "AXFA14", "Flow          Magnetic"},
			     { 83, "AV550G", "Analytical    Oxygen"},
			     { 84, "EJX-MV", "Pressure      Multivariable"}
			     
			CASE 58:  // EXAC  
			  	 {211, "8320"},  // not in common tables
				 {212, "SX5100"} // not in common tables    
			     
			
			CASE 59:    // Solartron_Mobrey
			     { 19, "4301", "Pressure      w/ PID"},
			     { 20, "3301"},
			     { 21, "MSP100", "Level"},
			     { 33, "3300", "Level         Radar"},
			     { 41, "MLT100", "Level         Displacement"},
			     { 42, "4291"},
			     { 43, "MSM400"},
			     { 44, "MSL600"},
			     { 45, "MCU900"},
			     { 46, "MSP900/400", "Level         Ultrasonic"},
			     { 47, "MRL700", "Level         Radar"},
			     { 48, "MRL800"},
			     { 49, "MRL850"}
			
			CASE 61:    // Princo
			     { 1, "L4610"}
			
			CASE 62:    // Smar
			     { 1, "LD301", "Pressure      w/ PID"},
			     { 2, "TT301", "Temperature   w/ PID"},
			     { 3, "FY301", "Valve         Positioner/Electropneumatic"},
			     { 4, "LD291", "Pressure"},
			     { 5, "TP301", "Valve         Positioner"},
			     { 6, "DT301", "Analytical    Density"},
			     { 10, "LD400", "Pressure"}
			
			CASE 63:    // Foxboro_Eckardt
			     { 1, "TSV175", "Temperature"},
			     { 2, "DMU130", "Pressure"},
			     { 3, "TI/RTT20", "Temperature"},
			     { 4, "SRD991", "Valve         Positioner"},
			     { 5, "DMU140", "Pressure"},
			     { 6, "SRD960", "Valve         Universal Positioner"}
			
			CASE 64:    // Measurement_Technology
			     { 21, "MTL4841 Multiplexer"},
			     { 34, "MTL8512 Multiplexer"}
			
			CASE 66:    // Samson
			     { 239, "373X-3", "Valve         Positioner"},
			     { 249, "3780", "Valve         Controller"}
			
			CASE 67:    // Sparling_Instruments
			     { 238, "FM6XX", "Flow          Magnetic"}
			
			CASE 69:    // Krohne
			     { 217, "IFC 100", "Flow          Electromagnetic"},
			     { 219, "TT50C/R", "Temperature"},
			     { 221, "MFC 300", "Flow          Coriolis Mass"},
			     { 226, "ESK2A", "Flow          Variable Area"},
			     { 227, "IFC 300", "Flow          Electromagnetic"},
			     { 228, "Optiflex 1300C", "Level         Radar"},
			     { 229, "Optiwave 7300C", "Level         Radar"},
			     { 230, "M8E", "Flow          Variable Area"},
			     { 231, "UFC030", "Flow          Ultrasonic"},
			     { 232, "MFC05x", "Flow          Coriolis Mass"},
			     { 233, "IFC040", "Flow          Electromagnetic"},
			     { 234, "M10", "Flow          Variable Area"},
			     { 235, "IFC210"},
			     { 236, "BM102", "Level         Radar - Reflex"},
			     { 237, "VFM31", "Flow          Vortex"},
			     { 238, "BM100", "Level         Radar - Reflex"},
			     { 239, "IFC020"},
			     { 240, "VFM1091"},
			     { 242, "ESKII", "Flow          Variable Area"},
			     { 243, "IFC110", "Flow          Magnetic"},
			     { 244, "IFC090", "Flow          Magnetic"},
			     { 245, "UFC500", "Flow          Ultrasonic"},
			     { 246, "IFC010"},
			     { 247, "MFC08x", "Flow          Coriolis Mass"},
			     { 248, "IFC080", "Flow          Magnetic"},
			     { 249, "BM70", "Level         Radar"}
			
			CASE 71:    // Druck
			     { 233, "RTX1000H Gauge", "Pressure      Gauge"},
			     { 236, "RTX1000H SG", "Pressure      Sealed Gauge"},
			     { 239, "RTX1000H ABS", "Pressure      Absolute"}
			
			CASE 77:    // Westlock_Controls
			     { 1, "ICOT", "Valve         Digital Positioner w/ PID"},
			     { 2, "SmartCal", "Valve         Intelligent Positioner"},
			     { 3, "D-EPIC", "Valve         Digital Positioner"},
			     { 4, "D-EPIC ESD", "Valve         Digital Positioner"}
			
			CASE 78:    // Drexelbrook
			     { 2, "UNIVERSAL III", "Level"},
			     { 235, "USonic", "Level         Ultrasonic"}
			
			CASE 79:    // Saab_Tank_Control
			     { 237, "5600", "Level         Radar"},
			     { 239, "TankRadarPro", "Level         Radar"}
			
			CASE 80:    // KTEK
			     { 103, "SPM100 Level"},
			     { 114, "AT100/200 Lvl Vol LCD"},
			     { 115, "AT100/200 2Lvl Vol LCD"},
			     { 118, "AT100/200 Lvl Temp Vol LCD"},
			     { 119, "AT100/200 2Lvl Temp Vol LCD"},
			     { 120, "AT100/200 Lvl"},
			     { 122, "AT100/200 Lvl LCD"},
			     { 123, "AT100/200 2Lvl LCD"},
			     { 126, "AT100/200 Lvl Temp LCD"},
			     { 127, "AT100/200 2Lvl Temp LCD"},
			     { 152, "MT2000 Microwave Level"},
			     { 203, "SPM200 Level"}
			
			CASE 82:    // Draeger
			     { 233, "PIR 7000", "Analytical    Gas Detector"},
			     { 235, "Polytron 7000", "Analytical    Gas Detector"},
			     { 237, "Polytron2 IR", "Analytical    Infrared Gas Detector"},
			     { 247, "Polytron2", "Analytical    Electrochemical Gas Detector"}
			
			CASE 84:    // Meridian
			     { 248, "MSP2002", "Level         Capacitance"},
			     { 249, "MST9500", "Level         Capacitance"}
			
			CASE 85:    // BTG
			     { 222, "HCM-8000", "Analytical    Measuring Instruments"}
			
			CASE 86:    // Magnetrol
			     { 227, "E3 Modulevel", "Level"},
			     { 228, "Model 355", "Level         Ultrasonic"},
			     { 229, "Model 705 3.x", "Level"},
			     { 230, "Model RX5", "Level"},
			     { 231, "Model 704", "Level"},
			     { 232, "Jupiter", "Level         Magnostrictive"},
			     { 233, "Model TA2", "Flow          Mass"},
			     { 234, "Model 707", "Level"},
			     { 235, "Model 705 2.x", "Level"},
			     { 236, "Model 708", "Level"},
			     { 237, "Model 805", "Level"},
			     { 238, "Model 705", "Level"},
			     { 239, "SMARTEZ", "Level"}
			
			CASE 87:    // Metso_Automation
			     { 228, "ND9100HT", "Valve         Positioner"},
			     { 229, "ND9100H", "Valve         Positioner"},
			     { 235, "ValvGuard", "Valve         On/Off Valve Controller"},
			     { 238, "ND820/T", "Valve         Positioner/Pneumatic"},
			     { 239, "ND820", "Valve         Positioner/Pneumatic"}
			
			CASE 88:    // Milltronics
			     { 200, "86x PROBE", "Level         Ultrasonic"},
			     { 201, "SITRANS LR300", "Level         Radar - Pulse"},
			     { 202, "LR 200", "Level         Radar"},
			     { 203, "TDD 300" },
			     { 204, "SITRANS LR400", "Level         Radar"},
			     { 205, "Sitrans Probe LU 6m", "Level         Ultrasonic"},
			     { 206, "Sitrans Probe LU 12m", "Level         Ultrasonic"},
			     { 207, "Probe LR", "Level         Radar"},
				 { 209, "LR 250",        "Level         Radar"},  // does not exist in common tables
				 { 210, "LR 250 Rev2"},  							  // does not exist in common tables
				 { 211, "LR 460 M",		"Level         Radar"},  // does not exist in common tables
				 { 212, "LR 260",		"Level         Radar"},   // does not exist in common tables  
				 { 213, "LG 200"},  // does not exist in common tables
				 { 214, "LR 200"}   // does not exist in common tables 
			
			CASE 90:    // Anderson_Instrument_Company
			     { 200, "ANDRSN1", "Pressure"}
			
			CASE 91:    // Inor
			     { 239, "MESO", "Temperature"}
			
			CASE 92:    // Robertshaw
			     { 200, "Excalibur 7000", "Level"}
			
			CASE 93:    // PEPPERL_FUCHS
			     { 232, "CorrTran", "Analytical    Corrosion"},
				 { 225, DCT_LWA, "Network Component"}
			
			CASE 94:    // Accutech
			     { 238, "PRESS/DP XMTR", "Pressure"},
			     { 239, "AI1500", "Temperature"}
			
			CASE 96:    // Bourdon_Haenni
			     { 237, "FLEXBAR 3501", "Pressure"},
			     { 238, "FLEXBAR HRT", "Pressure"},
			     { 239, "FLEXTOP HRT", "Temperature"}
			
			CASE 97:    // Knick
			     { 232, "2211 CondI", "Analytical    Conductivity"},
			     { 233, "2211 Oxy", "Analytical    Dissolved Oxygen"},
			     { 234, "2211 Cond", "Analytical    Conductivity"},
			     { 235, "2211 pH", "Analytical    pH"}
			
			CASE 99:    // MTS_SYS_CORPS
			     { 237, "M-Series", "Level"}
			
			CASE 100:    // Oval
			     { 100, "ULTRAOVAL", "Flow"},
			     { 101, "ExDelta", "Flow          Vortex"},
			     { 110, "9401 Mass flo", "Flow          Coriolis Mass"},
			     { 111, "9801 Mass flo", "Flow          Coriolis Mass"},
			     { 112, "9201 Mass flo", "Flow          Coriolis Mass"},
			     { 123, "9431 Mass flo", "Flow          Coriolis Mass"}
			
			CASE 101:    // Masoneilan
			     { 100, "HDLT", "Level"},
			     { 200, "SVI", "Valve         Positioner"},
			     { 201, "SVI2", "Valve         Positioner"},
			     { 202, "SVI II AP", "Valve         Positioner"},
			     { 203, "SVI II ESD", "Valve         Controller"}
			
			CASE 102:    // Besta
			     { 239, "CLS 4-20", "Level         Continuous Capactive"}
			
			CASE 103:    // Ohmart
			     { 224, "DSTH/LSTH", "Level         Density - Nuclear"},
			     { 225, "DSTH/LSTH Comp", "Level         Density - Nuclear"}
			
			CASE 104:    // Harold_Beck_and_Sons
			     { 1, "ESR-D", "Valve         Damper Actuator"},
			     { 10, "BECK-DCM", "Valve         Electric Damper Actuator"},
			     { 239, "BECK-MK2", "Valve         Damper Actuator"}
			
			CASE 107:    // Wika
			     { 238, "UniTrans", "Pressure"},
			     { 239, "T32", "Temperature"}
			
			CASE 108:    // Bopp_Reuther_Heinrichs
			     { 235, "UMC2", "Flow          Mass"},
			     { 236, "ES", "Flow          Electronic"},
			     { 237, "VTX", "Flow          Vortex"},
			     { 238, "DIMF", "Analytical    Density"},
			     { 239, "UST 1", "Flow"}
			
			CASE 109:    // PR_Electronics
			     { 223, "T55", "Temperature"},
			     { 238, "PRetrans 6335", "Temperature"},
			     { 239, "Pretop 5335", "Temperature"}
			
			CASE 113:    // Apparatebau_Hundsbach
			     { 238, "MT115", "Temperature"}
			
			CASE 114:    // Dynisco
			     { 222, "SPX", "Pressure"},
			     { 223, "IPXII", "Pressure      Multivariable"},
			     { 224, "IPX", "Pressure      Multivariable"}
			
			CASE 116:    // Direct_Measurement
			     { 239, "DMC R-1A", "Flow          Coriolis Mass"}
			
			CASE 117:    // Klay
			     { 239, "Klay 2000 Pressure/Level", "Pressure"}
			
			CASE 120:    // Buerkert_Fluid_Control_Systems
			     { 239, "8630"}
			
			CASE 124:    // GLI
			     { 238, "M33-53P"},
			     { 239, "M33-53C"}
			
			CASE 126:    // Paper_Machine_Components
			     { 224, "SMT-EL", "Pressure"}
			
			CASE 127:    // Labom
			     { 60, "PASCAL CI", "Pressure"},
			     { 224, "IPX", "Pressure      Multivariable"}
			
			CASE 128:    // Danfoss
			     { 3, "MAGFLO", "Flow          Magnetic"}
			
			CASE 129:    // Turbo
			     { 127, "Intermag-Transmag", "Flow          Magnetic"}
			
			CASE 130:    // Tokyo_Keiso
			     { 123, "FW-9000", "Level"},
			     { 127, "FST-3000", "Level"}
			
			CASE 131:    // SMC
			     { 126, "IP8101", "Valve         Positioner/Electropneumatic"},
			     { 239, "F793-E701", "Valve         Positioner/Electropneumatic"}
			
			CASE 132:    // Status_Instruments
			     { 239, "SEM 300", "Temperature"}
			
			CASE 133:    // Huakong
			     { 127, "HK TT01", "Temperature"}
			
			CASE 134:    // Duon_System
			     { 97, "APT3200", "Pressure"},
			     { 107, "APT3100", "Pressure"}
			
			CASE 135:    // Vortek_Instruments
			     { 1, "Innova-Mass", "Flow          Vortex - Multiparameter Mass"}
			
			CASE 137:    // Action_Instruments
			     { 239, "T798", "Temperature"}
			
			CASE 140:    // Magtech
			     { 136, "LTM-100", "Level         Magnostrictive"},
			     { 137, "LTM-300", "Level"}
			
			CASE 141:    // Rueger
			     { 1, "S95 HRT", "Temperature"},
			     { 127, "S95.3U_2", "Temperature"}
			
			CASE 142:    // Mettler_Toledo
			     { 120, "CondI7100", "Analytical    Conductivity"},
			     { 121, "O2 4100e", "Analytical    Dissolved Oxygen"},
			     { 122, "Cond7100", "Analytical    Conductivity"},
			     { 123, "pH 2100", "Analytical    pH"}
			
			CASE 143:    // Det_Tronics
			     { 124, "X3301", "Analytical    Flame Detector"},
			     { 126, "OPECL_RX", "Analytical    Infrared Gas Detector"},
			     { 127, "Eclipse", "Analytical    Infrared Gas Detector"}
			
			CASE 144:    // Thermo_MeasureTech
			     { 125, "NDMi", "Analytical    Density - Nuclear"},
			     { 126, "Accu-Wave", "Level         Radar"},
			     { 127, "NCMi", "Level         Nuclear"}
			
			CASE 145:    // Dezurik
			     { 239, "Positioner", "Valve         Positioner/Electropneumatic"}
			
			CASE 146:    // Phase_Dynamics
			     { 127, "Analyzer", "Analytical    Microwave"}
			
			CASE 147:    // Welltech
			     { 124, "WT2000", "Pressure"}
			
			CASE 153:    // Metran
			     { 121, "METRAN-150", "Pressure"},
			     { 124, "METRAN-300PRM"},
			     { 125, "METRAN-49"},
			     { 126, "METRAN-280", "Temperature"},
			     { 127, "METRAN-100", "Pressure"}
			
			CASE 154:    // Milton_Roy
			     { 127, "P Series"}
			
			CASE 155:    // PMV
			     { 211, "D3", "Valve         Positioner"}
			
			CASE 156:    // Turck
			     { 1, "KMU-HLI", "Temperature"}
			
			CASE 157:    // Panametrics
			     { 112, "x868", "Flow          Ultrasonic"}
			
			CASE 158:    // Stahl
			     { 1, "ICS MUX FBS"},
			     { 2, "ICS 1000"},
			     { 3, "VOS 200"},
			     { 4, "ICS modul 9148"},
			     { 5, "I.S. 1 Remote I/O"},
			     { 6, "IS pac 9192 16 ch"},
			     { 7, "IS pac 9192 32 ch"}
			
			CASE 159:    // Analytical_Technology_Inc
			     { 127, "D12", "Analytical    Gas Detector"}
			
			CASE 160:    // FINT
			     { 2, "PIR 2000", "Analytical    Gas Detector"},
			     { 237, "OXI5000", "Analytical    Oxygen"}
			
			CASE 161:    // BERTHOLD
			     { 124, "LB466"},
			     { 125, "LB491", "Analytical    Density - Radiometric"},
			     { 126, "LB460", "Level         Radiometric"},
			     { 127, "LB490", "Level         Radiometric"}
			
			CASE 162:    // InterCorr
			     { 239, "SMARTCET 18C", "Analytical    Corrosion"}
			
			CASE 166:    // Fluid_Components
			     { 120, "ST98", "Flow"}
			
			CASE 169:    // Invensys
			     { 46, "I/A Pressure", "Pressure"},
			     { 52, "CFT50"}
			
			CASE 171:    // Tyco_Valve_Controls
			     { 1, "SmartCal", "Valve         Digital Positioner w/ PID"}
			
			CASE 173:    // JTec_Associates
			     { 0, "GasFlowMeter", "Analytical    Gas/Steam"},
			     { 1, "LiquidFlowMeter"}
			
			CASE 174:    // Tracerco
			     { 127, "PRI-150", "Level         Nucleonic"},
			     { 159, "Level Combination Unit"}
			
			CASE 176:    // Phoenix_Contact
			     { 1, "MCR-TS-LP", "Temperature   DIN Rail Mounted"},
			     { 2, "MCR-HT-TS", "Temperature   Head Mounted"}
			
			CASE 178:    // Amer_Level_Instr
			     { 127, "Model 32E", "Level         Capacitance"}
			
			CASE 180:    // YTC
			     { 1, "YT-2300", "Valve         Positioner"},
			     { 2, "YT-2400", "Valve         Positioner"}
			
			CASE 181:    // Pyromation_Inc
			     { 127, "Series442", "Temperature"},
			     { 128, "Series642", "Temperature"}
			
			CASE 182:    // Satron_Instruments
			     { 127, "V-series", "Pressure"}
			
			CASE 189:    // Badger_Meter
			     { 1, "Primo Advanced", "Flow          Electromagnetic"}
			
			CASE 191:    // GP_50
			     { 124, "MDL 400", "Pressure"}
			
			CASE 192:    // Kongsberg_Maritime
			     { 239, "GT400", "Pressure"}
			
			CASE 193:    // ASA_SpA
			     { 1, "C/G Asameter /H"}
			
			CASE 194:    // Hengesbach
			     { 33, "TE 52", "Temperature   Head Mounted"}
			
			CASE 195:    // Lanlian_Instruments
			     { 116, "LSIII Pressure", "Pressure"}
			
			CASE 196:    // Spectrum_Controls
			     { 1, "I/O Module"}
			
			CASE 197:    // Kajaani_Process_Measurements
			     { 128, "KC/3", "Analytical    Blade Consistency"},
			     { 129, "KC/5", "Analytical    Rotary Consistency"}
			
			CASE 199:    // SICK
			     { 128, "FLOWSIC 600", "Flow          Ultrasonic"}
			
			CASE 202:    // Spirax_Sarco_Italy
			     { 128, "SP301", "Valve         Smart Valve Positioner"}
			
			CASE 206:    // Roost
			     { 128, "EPP300", "Valve         Positioner/Electropneumatic"}
			
			CASE 207:    // KOSO
			     { 128, "EP1000/SPS2000", "Valve         Positioner/Electropneumatic"},
			     { 129, "EP1001", "Valve         Positioner/Electropneumatic"}
			
			CASE 212:    // SIC
			     { 128, "PES", "Pressure"},
			     { 133, "HVP1114", "Valve         Positioner/Pneumatic"},
			     { 134, "FLOW MASTER", "Flow          Electromagnetic"}
			
			CASE 213:    // HACH_LANGE
			     { 128, "SI792P", "Analytical    pH"},
			     { 129, "SI792C", "Analytical    Conductivity"},
			     { 130, "SI792T", "Analytical    Conductivity"},
			     { 131, "SI792E", "Analytical    Conductivity"},
			     { 132, "SI792D", "Analytical    Dissolved Oxygen"}
			
			CASE 223:    // General_Monitors
			     { 128, "FL4000", "Analytical    Flame Detector"},
			     { 129, "S4000CH", "Analytical    Combustible Gas Detector"}
			
			CASE 224:    // ExSaf
			     { 128, "ESD3000"},
			     { 129, "Sensor Don"},
			     { 130, "SDT420"},
			     { 131, "RT-Ex15"},
			     { 132, "SS"},
			     { 133, "3DLevelScanner M"},
			     { 134, "3DLevelScanner S"},
			     { 135, "3DLevelScanner L"},
			     { 136, "EX200H Positioner"},
			     { 137, "IS200H Positioner"},
			     { 138, "R3x"},
			     { 139, "700 Bridge"},
			     { 140, "UltimaXL/XT", "Analytical    Gas Detector"},
			     { 141, "CMM-01 MASS FLOW"},
			     { 142, "JLT-6000"},
			     { 143, "SMARTRONIC MA"},
			     { 144, "CMS Standard"},
			     { 145, "Millennium II"},
			     { 146, "HIM1008"},
			     { 147, "CXT"},
			     { 148, "CJT"},
			     { 149, "HBM - 165 H"},
			     { 150, "HBM - 167 H"},
			     { 151, "WBM - 165 H"},
			     { 152, "OBM - 165 H"},
			     { 153, "OBM - 167 H"},
			     { 154, "MBM - 165 H"},
			     { 155, "MBM - 167 H"},
			     { 156, "Mark Series"},
			     { 157, "TR"},
			     { 158, "Millennium 2 Basic", "Analytical    Gas Detector"},
			     { 159, "UltimaXEH"},
			     { 160, "Position Xmitter"}
			     
			CASE 239:  // HCF
				 {235, "STD"},
				 {236, "SAMPLE4"},
				 {237, "SAMPLE3"},
				 {238, "SAMPLE2"},
				 {239, "SAMPLE1"}     
			
			CASE 249:    // HCF
			     { 130, "Generic|fr|Gnrique|de|Allgemein", "Interoperable"}
						
			
		}

		{ 252, [unknown] }
	}
}
