
/*****************************************************************************
 * Definitions 
 *****************************************************************************
 *
 *  
 */


#ifdef _PDM_
// GEQ = Greater than or equal
#define JOIN_STATUS_GEQ_128\
		( (join_status_byte_lo >= 128 ) || (join_status_byte_hi >= 1) )

// LSS = Less than
#define JOIN_STATUS_LSS_128\
		( (join_status_byte_lo < 128 ) && (join_status_byte_hi < 1) )

#define JOIN_STATUS_EQU_x079F\
		( (join_status_byte_lo == 0x9F ) && (join_status_byte_hi == 0x07) )

#define JOIN_STATUS_EQU_x079F_2\
		( (join_status_byte_lo_2 == 0x9F ) && (join_status_byte_hi_2 == 0x07) )

#endif


 
 
#define MODULE_INDEX_MASTER 0 // Module Index value


#define ENUM_TABLE_20 TYPE ENUMERATED(1) \
    { \
         \
        /* codes 0-3 are reserved and must never be used */ \
         \
        { 4,  [temperature_family] },   \
        { 5,  [pressure_family] },   \
        { 6,  [actuator_family] },   \
        { 7,  [simple_pid_family] }, \
        { 8,  [ph_family] }, \
        { 9,  [conductivity_family] }, \
        { 10, [totalizer_family] }, \
        { 11, [level_family] },             \
        { 12, [vortex_flow_family] }, \
        { 13, [mag_flow_family] }, \
        { 14, [coriolis_flow_family] } \
 \
        /* codes 132-249 are reserved and must never be used */ \
 \
        { 250, DCT_NOT_USED } \
    }


#define ENUM_PROCESS_DATA_STATUS TYPE ENUMERATED \
    { \
        { 0, [bad] },   \
        { 1, [manual_fixed] }, \
        { 2, [poor_accuracy] }, \
        { 3, [good] }  \
    }


#define ENUM_DEVICE_FAMILY_STATUS TYPE ENUMERATED (1) \
    { \
        { 0x08, [more_device_family_status_available]} \
    }

#define ENUM_LIMIT_STATUS TYPE ENUMERATED \
    { \
        { 0, [not_limited] },   \
        { 1, [low_limited] }, \
        { 2, [high_limited] }, \
        { 3, [constant] } \
    }


#define ENUM_TABLE_21 TYPE ENUMERATED \
    { \
{ 81, [analytical_classification] },        /* 0x51 */ \
{ 86, [angle_classification] },             /* 0x56 */ \
{ 75, [angular_velocity_classification] },  /* 0x4B */ \
{ 76, [area_classification] },              /* 0x4C */ \
{ 82, [capacitance_classification] },       /* 0x52 */ \
{ 90, [concentration_classification] },     /* 0x5A */ \
{ 87, [conductance_classification] },       /* 0x57 */ \
{ 95, DCT_CORIOLIS_FLOW_CLASSIFICATION },     /* 0x5F */ \
{ 84, [current_classification] },           /* 0x54 */ \
{ 0,  [device_variable_not_classified] },      \
{ 83, [emf_classification] },               /* 0x53 */ \
{ 77, [energy_work_classification] },       /* 0x4D */ \
{ 78, [force_classification] },             /* 0x4E */ \
{ 80, [frequency_classification] },         /* 0x50 */ \
{ 69, [length_classification] },            /* 0x45 */ \
{ 92, DCT_LEVEL_CLASSIFICATION},             /* 0x5C */ \
{ 94, DCT_MAG_FLOW_CLASSIFICATION },          /* 0x5E */ \
{ 71, [mass_classification] },              /* 0x47 */ \
{ 72, [mass_flow_classification] },         /* 0x48 */ \
{ 73, [mass_per_volume_classification] },   /* 0x49 */ \
{ 79, [power_classification] },             /* 0x4F */ \
{ 65, [pressure_classification] },          /* 0x41 */ \
{ 85, [resistance_classification] },        /* 0x55 */ \
{ 64, [temperature_classification] },       /* 0x40 */ \
{ 70, [time_classification] },              /* 0x46 */ \
{ 91, [valve_actuator_classification] },    /* 0x5B */ \
{ 67, [velocity_classification] },          /* 0x43 */ \
{ 74, [viscosity_classification] },         /* 0x4A */ \
{ 68, [volume_classification] },            /* 0x44 */ \
{ 89, [volume_per_mass_classification] },   /* 0x59 */ \
{ 88, [volume_per_volume_classification] }, /* 0x58 */ \
{ 66, [volumetric_flow_classification] },   /* 0x42 */ \
{ 93, DCT_VORTEX_FLOW_CLASSIFICATION }       /* 0x5D */ \
    }



#define TEMPERATURE_1_CJC_AVAILABLE  dev_var_input_1_probe_type == PROBE_TYPE_TC_E ||\
   				dev_var_input_1_probe_type == PROBE_TYPE_TC_J ||\
   				dev_var_input_1_probe_type == PROBE_TYPE_TC_K ||\
   				dev_var_input_1_probe_type == PROBE_TYPE_TC_T


#define TEMPERATURE_2_CJC_AVAILABLE  dev_var_input_2_probe_type == PROBE_TYPE_TC_E ||\
   				dev_var_input_2_probe_type == PROBE_TYPE_TC_J ||\
   				dev_var_input_2_probe_type == PROBE_TYPE_TC_K ||\
   				dev_var_input_2_probe_type == PROBE_TYPE_TC_T
   				
   				
   				


   				

